Subject: Re: [RFC/PATCH] powerpc: MPC7450 L2 HW cache flush feature utilization

From: Segher Boessenkool <[email-masked]>
Date: Fri, 15 Jun 2007 11:01:55 +0200

> Hrm. I don't think that cache invalidation should be skipped. It is 
> done after _set_L2CR() explicitly disabled the cache, in part of cache 
> enabling procedure. Note that cache is flushed only if _set_L2CR() is 
> called for already enabled cache. So, to skip cache invalidation there 
> is a need to somehow track whether the cache has been 
> flushed/invalidated before disabling or not. Since the manual 
> invalidation does not break anything I think it is better to leave it 
> as is rather than overload a _set_L2CR() logic.

Yeah just leave it, it definitely is the safer thing to do.
Do fix the comment though ;-)

Segher